Bug 31867 - Installer crashes on post-install configuration
Summary: Installer crashes on post-install configuration
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda   
(Show other bugs)
Version: 7.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-03-15 15:26 UTC by Jon Chalk
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-10 22:13:04 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Jon Chalk 2001-03-15 15:26:22 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 4.01; Windows 98)


I tried to install with the default packages plus EMACS and development, 
installer complains at post-install configuration.  From the traceback 
errors I assume that I do not have enough disk space - my /usr partition 
is now 1.2G and I'm trying to install less than 800M of packages.  I tried 
installing with just printer support packages and this worked fine 
(however I then had no shutdown command - should I enter a new bug report 
for this?).

Reproducible: Always
Steps to Reproduce:
1.  On custom install select EMACS and development aswell as defaults.
2.
3.
	

Actual Results:  Installer fails at post-install configuration

Traceback (innermost last):
  File "/usr/bin/anaconda", line 438, in ?
    intf.run(todo, test = test)
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 1030, in 
run
    rc = apply (step[1](), step[2])
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/text.py", line 507, in 
__call__
    if todo.doInstall ():
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1619, in 
doInstall
    self.createCdrom()
  File "/var/tmp/anaconda-7.0.1//usr/lib/anaconda/todo.py", line 1189, in 
createCdrom
    os.symlink(device, self.instPath + "/dev/" + cdname)
OSError: [Errno 28] No space left on device

Local variables in innermost frame:
device: hdc
list: ['hdc']
self: <todo.ToDo instance at 8269160>
cdname: cdrom
count: 1

ToDo object:
(itodo
ToDo
p1
(dp2
S'method'
p3
(iimage
CdromInstallMethod
p4
(dp5
S'progressWindow'
p6

<failed>

Comment 1 Michael Fulbright 2001-03-21 19:52:20 UTC
How large was your '/' partition?

We recommend at least 120M.

Comment 2 Brent Fox 2001-04-10 22:12:59 UTC
Closing due to inactivity. Please reopen if you have any more info.


Note You need to log in before you can comment on or make changes to this bug.